## net.dontdrinkandroot.lastfm.api.model
Enum ImageSize

    java.lang.Object
      java.lang.Enum<ImageSize>
          net.dontdrinkandroot.lastfm.api.model.ImageSize

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImageSize>

    public enum ImageSize

extends java.lang.Enum<ImageSize>

Enum Constant Summary
`EXTRALARGE`
`HUGE`
`LARGE`
`LARGESQUARE`
`MEDIUM`
`MEGA`
`ORIGINAL`
`SMALL`

Method Summary
`static ImageSize` `parseImageSize(java.lang.String sizeString)`
`static ImageSize` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImageSize[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SMALL

    public static final ImageSize SMALL

### MEDIUM

    public static final ImageSize MEDIUM

### LARGE

    public static final ImageSize LARGE

### LARGESQUARE

    public static final ImageSize LARGESQUARE

### HUGE

    public static final ImageSize HUGE

### EXTRALARGE

    public static final ImageSize EXTRALARGE

### MEGA

    public static final ImageSize MEGA

### ORIGINAL

    public static final ImageSize ORIGINAL

Method Detail

### values

    public static ImageSize[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImageSize c : ImageSize.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImageSize valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### parseImageSize

    public static ImageSize parseImageSize(java.lang.String sizeString)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.